## START: Set by rpmautospec
## (rpmautospec version 0.2.6)
%define autorelease(e:s:pb:) %{?-p:0.}%{lua:
    release_number = 3;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{?dist}
## END: Set by rpmautospec

%global gem_name state_machine

%global rubyabi 1.9.1
  
%if 0%{?fedora} >= 17
  %global rubyabi 1.9.1
%endif

%if 0%{?fedora} >= 19
  %global rubyabi 2.0.0
%endif

Summary:       Adds support for creating state machines for attributes on any Ruby class
Name:          rubygem-%{gem_name}
Version:       1.2.0
Release:       %autorelease
License:       MIT
URL:           http://www.pluginaweek.org
Source0:       http://rubygems.org/downloads/%{gem_name}-%{version}.gem
Requires:      ruby(release)
Requires:      ruby(rubygems)
Requires:      graphviz-ruby
BuildRequires: rubygems-devel
BuildRequires: rubygem-rake
BuildRequires: graphviz-ruby
BuildRequires: ruby-irb
BuildArch:     noarch
Provides:      rubygem(%{gem_name}) = %{version}

%description
Adds support for creating state machines for attributes on any Ruby class

%package doc
Summary: Documentation files, rdoc, ri, examples and tests

%description doc
Documentation files for state_machine, includes RDoc, ri, tests,
examples and another extra documentation files.

%prep
gem unpack %{SOURCE0}

%setup -q -D -T -n %{gem_name}-%{version}

# Modify the gemspec if necessary with a patch or sed
# Also apply patches to code if necessary
# %%patch0 -p1

gem spec %{SOURCE0} -l --ruby > %{gem_name}.gemspec

%build
mkdir -p .%{gem_dir}

# Create the gem as gem install only works on a gem file
gem build %{gem_name}.gemspec

# gem install compiles any C extensions and installs into a directory
# We set that to be a local directory so that we can move it into the
# buildroot in %%install
%gem_install

%install
rm -rf %{buildroot}
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* %{buildroot}%{gem_dir}/

# rm unnecesary files
rm %{buildroot}%{gem_instdir}/.gitignore
rm %{buildroot}%{gem_instdir}/.travis.yml
rm %{buildroot}%{gem_instdir}/.yardopts
rm -r %{buildroot}%{gem_instdir}/gemfiles
rm %{buildroot}%{gem_instdir}/init.rb
rm %{buildroot}%{gem_instdir}/Appraisals

%check
cd %{buildroot}%{gem_dir}/gems/%{gem_name}-%{version}
# gem 'appraisal (~> 0.4.0) not available in Fedora
# gem 'rcov' not supported in Ruby 1.9
# test suite needs to be modified to be run in Fedora
echo "Running tests (disabled)"
#rake test
rm %{buildroot}%{gem_instdir}/Gemfile
rm %{buildroot}%{gem_instdir}/state_machine.gemspec

%files
%{gem_libdir}
%dir %{gem_instdir}
%doc %{gem_instdir}/LICENSE
%doc %{gem_instdir}/README.md
%doc %{gem_instdir}/CHANGELOG.md
%{gem_cache}
%doc %{gem_spec}

%files doc
%doc %{gem_instdir}/examples
%doc %{gem_instdir}/test
%doc %{gem_docdir}
%doc %{gem_instdir}/Rakefile

%changelog
* Sat Jul 23 2022 Fedora Release Engineering <releng@fedoraproject.org> 1.2.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Mon Apr 04 2022 Filipe Rosset <rosset.filipe@gmail.com> 1.2.0-2
- updated to rpmautospec

* Sun Apr 03 2022 Filipe Rosset <rosset.filipe@gmail.com> 1.2.0-1
- Update to 1.2.0 fixez rhbz#946894

* Fri Jan 21 2022 Fedora Release Engineering <releng@fedoraproject.org> 1.1.2-30
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Fri Jul 23 2021 Fedora Release Engineering <releng@fedoraproject.org> 1.1.2-29
- Rebuilt for https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Wed Jan 27 2021 Fedora Release Engineering <releng@fedoraproject.org> 1.1.2-28
- Rebuilt for https://fedoraproject.org/wiki/Fedora_34_Mass_Rebuild

* Wed Jul 29 2020 Fedora Release Engineering <releng@fedoraproject.org> 1.1.2-27
- Rebuilt for https://fedoraproject.org/wiki/Fedora_33_Mass_Rebuild

* Thu Jan 30 2020 Fedora Release Engineering <releng@fedoraproject.org> 1.1.2-26
- Rebuilt for https://fedoraproject.org/wiki/Fedora_32_Mass_Rebuild

* Fri Jul 26 2019 Fedora Release Engineering <releng@fedoraproject.org> 1.1.2-25
- Rebuilt for https://fedoraproject.org/wiki/Fedora_31_Mass_Rebuild

* Sat Feb 02 2019 Fedora Release Engineering <releng@fedoraproject.org> 1.1.2-24
- Rebuilt for https://fedoraproject.org/wiki/Fedora_30_Mass_Rebuild

* Mon Jan 28 2019 Igor Gnatenko <ignatenkobrain@fedoraproject.org> 1.1.2-23
- Remove obsolete Group tag

* Sat Jul 14 2018 Fedora Release Engineering <releng@fedoraproject.org> 1.1.2-22
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Tue Jul 10 2018 Jason Tibbitts <tibbs@math.uh.edu> 1.1.2-21
- Remove needless use of %%defattr

* Wed Feb 14 2018 Igor Gnatenko <ignatenkobrain@fedoraproject.org> 1.1.2-20
- Remove %%clean section

* Tue Feb 13 2018 Igor Gnatenko <ignatenkobrain@fedoraproject.org> 1.1.2-19
- Remove BuildRoot definition

* Fri Feb 09 2018 Fedora Release Engineering <releng@fedoraproject.org> 1.1.2-18
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> 1.1.2-17
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Sat Feb 11 2017 Fedora Release Engineering <releng@fedoraproject.org> 1.1.2-16
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> 1.1.2-15
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Thu Jun 18 2015 Dennis Gilmore <dennis@ausil.us> 1.1.2-14
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sun Jun 08 2014 Dennis Gilmore <dennis@ausil.us> 1.1.2-13
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sun Aug 04 2013 Dennis Gilmore <dennis@ausil.us> 1.1.2-12
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Sun Mar 24 2013 Guillermo Gómez <gomix@fedoraproject.org> 1.1.2-11
- Minor spec tweaks/cleaning

* Mon Mar 18 2013 Bohuslav Kabrda <bkabrda@redhat.com> 1.1.2-10
- Rebuild for https://fedoraproject.org/wiki/Features/Ruby_2.0.0

* Thu Feb 14 2013 Dennis Gilmore <dennis@ausil.us> 1.1.2-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Mon Jul 23 2012 Guillermo Gómez <gomix@fedoraproject.org> 1.1.2-8
- updated spec according new ruby guidelines

* Sat Jul 21 2012 Dennis Gilmore <dennis@ausil.us> 1.1.2-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Sun Feb 12 2012 Guillermo Gomez S. (Gomix) <guillermo.gomez@gmail.com> 1.1.2-6
- Testing if ruby-ir is a BR

* Tue Feb 07 2012 Guillermo Gomez S. (Gomix) <guillermo.gomez@gmail.com> 1.1.2-5
- Requires fixed for ruby 1.9

* Mon Feb 06 2012 Vít Ondruch <vondruch@redhat.com> 1.1.2-4
- Rebuilt for Ruby 1.9.3.

* Sat Jan 21 2012 Guillermo Gomez S. (Gomix) <guillermo.gomez@gmail.com> 1.1.2-3
- release bumped

* Sat Jan 21 2012 Guillermo Gomez S. (Gomix) <guillermo.gomez@gmail.com> 1.1.2-2
- Conditional BR for Fedora

* Sat Jan 21 2012 Guillermo Gomez S. (Gomix) <guillermo.gomez@gmail.com> 1.1.2-1
- Updated version 1.1.2

* Wed Jan 04 2012 Guillermo Gomez S. (Gomix) <guillermo.gomez@gmail.com> 1.1.1-1
- Updated version

* Tue Nov 15 2011 Guillermo Gomez S. (Gomix) <guillermo.gomez@gmail.com> 1.1.0-1
- Update to version 1.1.0

* Mon Nov 14 2011 Guillermo Gomez S. (Gomix) <guillermo.gomez@gmail.com> 1.0.3-1
- Updated version 1.0.3

* Sat Oct 15 2011 Guillermo Gomez S. (Gomix) <guillermo.gomez@gmail.com> 1.0.2-1
- Update version 1.0.2

* Tue Aug 02 2011 Guillermo Gomez S. (Gomix) <guillermo.gomez@gmail.com> 1.0.1-1
- Update to version 1.0.1

* Tue Apr 12 2011 Guillermo Gomez S. (Gomix) <guillermo.gomez@gmail.com> 0.10.3-5
- Escaped a coupled of tests

* Tue Apr 12 2011 Guillermo Gomez S. (Gomix) <guillermo.gomez@gmail.com> 0.10.3-4
- graphviz-ruby dep added, spec bumped

* Tue Apr 12 2011 Guillermo Gomez S. (Gomix) <guillermo.gomez@gmail.com> 0.10.3-3
- graphviz dep added

* Mon Apr 11 2011 Guillermo Gomez S. (Gomix) <guillermo.gomez@gmail.com> 0.10.3-2
- Minor fixes in spec

* Mon Apr 11 2011 Guillermo Gomez S. (Gomix) <guillermo.gomez@gmail.com> 0.10.3-1
- New version 0.10.3

* Wed Feb 09 2011 Dennis Gilmore <dennis@ausil.us> 0.9.4-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Thu Feb 03 2011 Guillermo Gomez S. (Gomix) <guillermo.gomez@gmail.com> 0.9.4-5
- BR rubygem-rake added

* Thu Feb 03 2011 Guillermo Gomez S. (Gomix) <guillermo.gomez@gmail.com> 0.9.4-4
- %%check section added

* Thu Sep 23 2010 Guillermo Gomez S. (Gomix) <guillermo.gomez@gmail.com> 0.9.4-3
- BZ-636902 fixed : did not show as installed with gem list -l

* Thu Sep 16 2010 Guillermo Gomez S. (Gomix) <guillermo.gomez@gmail.com> 0.9.4-2
- Updated spec in sync with actual in F13

* Tue Aug 10 2010 Guillermo Gomez S. (Gomix) <guillermo.gomez@gmail.com> 0.9.4-1
- rubygem-state_machine 0.9.4 release

* Thu Jul 29 2010 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> 0.8.0-3
- dist-git conversion

* Wed Nov 25 2009 Bill Nottingham <notting@fedoraproject.org> 0.8.0-2
- Fix typo that causes a failure to update the common directory. (releng
  #2781)

* Mon Aug 17 2009 Darryl L. Pierce <mcpierce@fedoraproject.org> 0.8.0-1
- Release 0.8.0 of state_machine.

* Mon Jul 27 2009 Jesse Keating <jkeating@fedoraproject.org> 0.7.6-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Tue Jul 14 2009 Darryl L. Pierce <mcpierce@fedoraproject.org> 0.7.6-1
- Release 0.7.6 of state_machine.
